__gnu_parallel::parallel_tag(3cxx)

NAME
__gnu_parallel::parallel_tag - Recommends parallel execution at compile time, optionally using a user-specified number of threads.

SYNOPSIS

#include <tags.h>

Inherited by __gnu_parallel::balanced_quicksort_tag, __gnu_parallel::balanced_tag, __gnu_parallel::default_parallel_tag, __gnu_parallel::exact_tag, __gnu_parallel::multiway_mergesort_exact_tag, __gnu_parallel::multiway_mergesort_sampling_tag, __gnu_parallel::multiway_mergesort_tag, __gnu_parallel::omp_loop_static_tag, __gnu_parallel::omp_loop_tag, __gnu_parallel::quicksort_tag, __gnu_parallel::sampling_tag, and __gnu_parallel::unbalanced_tag.

  Public Member Functions

parallel_tag ()
Default constructor. Use default number of threads.
parallel_tag (_ThreadIndex __num_threads)
Default constructor. Recommend number of threads to use.
_ThreadIndex __get_num_threads ()
Find out desired number of threads.
void set_num_threads (_ThreadIndex __num_threads)
Set the desired number of threads.

Detailed Description

Recommends parallel execution at compile time, optionally using a user-specified number of threads.

Definition at line 46 of file tags.h.

Constructor & Destructor Documentation

  __gnu_parallel::parallel_tag::parallel_tag () [inline]

Default constructor. Use default number of threads.

Definition at line 53 of file tags.h.

  __gnu_parallel::parallel_tag::parallel_tag (_ThreadIndex __num_threads) [inline]

Default constructor. Recommend number of threads to use.

Parameters
    __num_threads Desired number of threads.

Definition at line 58 of file tags.h.

Member Function Documentation

  _ThreadIndex __gnu_parallel::parallel_tag::__get_num_threads () [inline]

Find out desired number of threads.

Returns
    Desired number of threads.

Definition at line 63 of file tags.h.

Referenced by __gnu_parallel::__parallel_sort(), __gnu_parallel::__parallel_sort(), __gnu_parallel::__parallel_sort(), __gnu_parallel::__parallel_sort(), __gnu_parallel::__parallel_sort(), __gnu_parallel::__parallel_sort(), and __gnu_parallel::__parallel_sort().

  void __gnu_parallel::parallel_tag::set_num_threads (_ThreadIndex __num_threads) [inline]

Set the desired number of threads.

Parameters
    __num_threads Desired number of threads.

Definition at line 73 of file tags.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.